<template>
    <v-dialog
        v-model="loaded"
        activator="parent">
    >
        <v-card v-if = "createdIssue.web_url && mergeRequest.web_url">
            <v-card-title class="text-h5 grey lighten-2">
                Success!
            </v-card-title>
            <v-card-text>
                <center><b>Your blog post's issue and merge request have been successful created.</b></center>
            </v-card-text>
            <v-img
            contain
            class="white--text align-end"
            height="400px"
            src="../../assets/success.jpeg"
            >
            </v-img>
            <v-card-text>
                <center><b>Please go to issue or merge request to continue</b></center>
            </v-card-text>
            <v-divider></v-divider>
            <v-card-actions>
                <v-btn
                    :href="createdIssue.web_url"
                    target="_blank"
                    color="info"
                    >
                        Go to Issue
                </v-btn>
                <v-spacer></v-spacer>
                <v-btn
                    :href="mergeRequest.web_url"
                    target="_blank"
                    color="info"
                    >
                        Go to Merge Request
                </v-btn>
            </v-card-actions>
        </v-card>
        <v-card v-else-if="createdIssue.web_url">
            <v-card-title class="text-h5 grey lighten-2">
                Issue created but there was a problem
            </v-card-title>
            <v-card-text>
                Failed to create a merge request
            </v-card-text>
            <v-divider></v-divider>
            <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn
                    :href="createdIssue.web_url"
                    target="_blank"
                    color="info"
                    >
                        Go to Issue
                </v-btn>
            </v-card-actions>
        </v-card>
        <v-card v-else>
            <v-card-title class="text-h5 grey lighten-2">
                Failed
            </v-card-title>
            <v-card-text>
                Failed to create issue or merge request
            </v-card-text>
        </v-card>
    </v-dialog>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import { State } from 'vuex-class'

@Component
export default class IssueCreated extends Vue {
@State createdIssue!: Record<string, unknown>
@State mergeRequest!: Record<string, unknown>
@State loading!: boolean
@State loaded!: boolean
}
</script>
<!-- // v else and v else if for wanting to change more scenerios show nothing then button creating issue then created issue and have something for when it does not create  -->
